# OpenGraphMagic Plugin

OpenGraphMagic simplifies and automates the creation of OpenGraph images for your website pages by generating real-time screenshots. This enhances your website’s click-through rate (CTR) when shared across various social media platforms like X, LinkedIn, Slack, and more.

## Installation

1. **Download the Plugin:**
    - Download the latest version of the plugin from the [releases page](https://opengraphmagic.com/).

2. **Upload the Plugin to WordPress:**
    - Navigate to the WordPress admin dashboard.
    - Go to `Plugins` > `Add New`.
    - Click on `Upload Plugin` and choose the downloaded ZIP file.
    - Click `Install Now`.

3. **Activate the Plugin:**
    - After the installation is complete, click `Activate`.

## Usage

1. **Accessing the Settings:**
    - Navigate to the WordPress admin dashboard.
    - Go to `OpenGraphMagic`.

2. **Configuring the Plugin:**
    - You will see the settings page with an overview and configuration options.
    - Select your preferred screenshot service (`ScreenshotOne` or `Pikwy`).
    - Enter the necessary API keys for the chosen service.
    - Configure the TTL (Time to Live) for cached images.

3. **Clearing the Cache:**
    - On the settings page, you will see a section indicating the number of cached OpenGraph images.
    - Use the `Clear Cache` button to delete all cached images if needed.

## External Services

OpenGraphMagic utilizes external services to generate images for Open Graph tags. Below are the services we use, including details on their purpose and links to their terms and privacy policies.

### Pikwy

- **Service URL:** [Pikwy](https://pikwy.com/)
- **Purpose:** Generates Open Graph images based on URLs provided by users.
- **Privacy Policy:** [Privacy Policy](https://pikwy.com/policy)
- **Terms of Use:** [Terms of Use](https://pikwy.com/terms)

### ScreenshotOne

- **Service URL:** [ScreenshotOne](https://screenshotone.com/)
- **Purpose:** Provides additional image generation capabilities for Open Graph tags.
- **Privacy Policy:** [Privacy Policy](https://screenshotone.com/privacy-policy/)
- **Terms of Use:** [Terms of Use](https://screenshotone.com/terms-of-service/)


## FAQ

### 1. What is OpenGraphMagic?
OpenGraphMagic is a WordPress plugin that automates the creation of OpenGraph images for your website pages by generating real-time screenshots. This helps improve the appearance and CTR of your content when shared on social media platforms.

### 2. How does OpenGraphMagic improve my website’s CTR?
By generating high-quality, real-time screenshots of your webpages, OpenGraphMagic ensures that your shared content on social media platforms looks professional and engaging, which can significantly boost click-through rates.

### 3. What services does OpenGraphMagic use for screenshots?
OpenGraphMagic integrates with two powerful screenshot services: ScreenshotOne and Pikwy. You can choose either service and configure it using the provided API keys.

### 4. How do I configure the plugin?
Go to the WordPress admin dashboard and navigate to `OpenGraphMagic`. Here, you can select the screenshot service, enter the API keys, and configure other settings.

### 5. How do I clear the cached images?
On the OpenGraphMagic settings page, you will find a section showing the number of cached OpenGraph images. You can use the `Clear Cache` button to delete all cached images.

### 6. What is the TTL setting?
TTL (Time to Live) determines how long the cached images are stored before they are automatically deleted. You can set this value in days according to your preference.

### 7. Where can I get support?
For support, please visit the [support page](https://opengraphmagic.com/) on our GitHub repository.

## License
OpenGraphMagic Plugin

Copyright (c)2024 50SAAS LLC. All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are not permitted.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
